Query Mission Control Chat Session Stream
curl --request POST \
--url https://api.ontora.com/v1/mission-control/chat/sessions/{chat_session_id}/query/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"anonymize": false,
"top_k": 20,
"conversation_history": [
{
"role": "<string>",
"content": "<string>"
}
],
"scope_all": false,
"selected_interview_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"selected_vault_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.ontora.com/v1/mission-control/chat/sessions/{chat_session_id}/query/stream"
payload = {
"query": "<string>",
"anonymize": False,
"top_k": 20,
"conversation_history": [
{
"role": "<string>",
"content": "<string>"
}
],
"scope_all": False,
"selected_interview_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"selected_vault_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
anonymize: false,
top_k: 20,
conversation_history: [{role: '<string>', content: '<string>'}],
scope_all: false,
selected_interview_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
selected_vault_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.ontora.com/v1/mission-control/chat/sessions/{chat_session_id}/query/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}mission-control
Query Mission Control Chat Session Stream
POST
/
v1
/
mission-control
/
chat
/
sessions
/
{chat_session_id}
/
query
/
stream
Query Mission Control Chat Session Stream
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I